> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portals

> List the claim portals for your project, with cursor pagination.



## OpenAPI

````yaml /apis/admin/openapi.json post /api/external/v1/portals
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/portals:
    post:
      tags:
        - Portals
      summary: List Portals
      description: List the claim portals for your project, with cursor pagination.
      operationId: postPortals
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                cursor:
                  type:
                    - string
                  minLength: 1
                  format: uuid
                limit:
                  type:
                    - number
                  exclusiveMinimum: 0
                  maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  items:
                    - id: po...uuid
                      name: Acme Claim Portal
                      domains:
                        - acme.demo-portal.magna.so
                      legalEntityName: Acme Inc.
                      version: V2
                      createdAt: '2024-04-15T21:26:21.000Z'
                      updatedAt: '2024-04-15T21:26:21.000Z'
                  cursor: po...uuid
                  total: 1
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````